-r requirements.in

ipdb  # https://github.com/gotcha/ipdb
pip-tools

# Testing
# ------------------------------------------------------------------------------
mypy  # https://github.com/python/mypy
django-stubs  # https://github.com/typeddjango/django-stubs
pytest  # https://github.com/pytest-dev/pytest
pytest-sugar  # https://github.com/Frozenball/pytest-sugar
pytest-xdist  #
djangorestframework-stubs  # https://github.com/typeddjango/djangorestframework-stubs


# Code quality
# ------------------------------------------------------------------------------
flake8  # https://github.com/PyCQA/flake8
flake8-isort  # https://github.com/gforcada/flake8-isort
coverage  # https://github.com/nedbat/coveragepy
black>=22.8.0   # https://github.com/psf/black
pylint-django  # https://github.com/PyCQA/pylint-django
pre-commit  # https://github.com/pre-commit/pre-commit
ufmt

# Django
# ------------------------------------------------------------------------------
factory-boy  # https://github.com/FactoryBoy/factory_boy

django-debug-toolbar  # https://github.com/jazzband/django-debug-toolbar
django-extensions  # https://github.com/django-extensions/django-extensions
django-coverage-plugin  # https://github.com/nedbat/django_coverage_plugin
pytest-django  # https://github.com/pytest-dev/pytest-django
freezegun  # https://github.com/spulec/freezegun

# django-watchfiles custom PR
https://github.com/q0w/django-watchfiles/archive/issue-1.zip

# code checking
truffleHog

# deployement and CI
git+https://github.com/iterativ/Caprover-API.git@5013f8fc929e8e3281b9d609e968a782e8e99530
